# Don't want to expose your supabase credentials? you have two options
# 1. Use a .env file to specify SUPABASE_URL and SUPABASE_ANON_KEY
# 2. Specify --url and --key in the CLI (ex. supadart -u <url> -k <key>)
SUPABASE_URL:
SUPABASE_ANON_KEY:

# Enums in your database? map them here (Case Sensitive)
# Please take a look at the documentation to see how to work with enums
enums:
  # mood: [happy, sad, neutral, excited, angry]
  crime_rates: ["critical", "high", "low", "medium"]
  crime_status:
    ["closed", "open", "resolved", "under_investigation", "unresolved"]
  session_status: ["active", "completed"]
  status_contact_messages: ["closed", "new", "read", "replied"]
  unit_type: ["other", "polda", "polres", "polsek"]

# Optional, where to place the generated classes files default: ./lib/models/
output: lib/generated/
# Set to true, if you want to generate separated files for each classes
separated: true
# Set to true, if you are not using Flutter, just normal Dart project
dart: false

# Optional, used to map table names to class names(case-sensitive)
mappings:
  _prisma_migrations: PrismaMigrationsSupadartModel
  cities: CitySupadartModel
  contact_messages: ContactMessageSupadartModel
  crime_categories: CrimeCategorySupadartModel
  crime_incidents: CrimeIncidentSupadartModel
  crimes: CrimeSupadartModel
  demographics: DemographicSupadartModel
  districts: DistrictSupadartModel
  events: EventSupadartModel
  evidence: EvidenceSupadartModel
  geographics: GeographicSupadartModel
  incident_logs: IncidentLogSupadartModel
  location_logs: LocationLogSupadartModel
  locations: LocationSupadartModel
  logs: LogSupadartModel
  officers: OfficerSupadartModel
  panic_button_logs: PanicButtonLogSupadartModel
  patrol_units: PatrolUnitSupadartModel
  permissions: PermissionSupadartModel
  profiles: ProfileSupadartModel
  resources: ResourceSupadartModel
  roles: RoleSupadartModel
  sessions: SessionSupadartModel
  unit_statistics: UnitStatisticSupadartModel
  units: UnitSupadartModel
  users: UserSupadartModel


# Optional, used to exclude methods from generated classes, comment out to include them
exclude:
  # - toJson
  # - copyWith
  - New
